---
title: Refresh participant's authentication token
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Refresh participant's authentication token

client.RealtimeKit.Meetings.RefreshParticipantToken(ctx, appID, meetingID, participantID, body) (\*[MeetingRefreshParticipantTokenResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingRefreshParticipantTokenResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants/{participant\_id}/token

Regenerates participant’s authentication token for the given meeting and participant ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meetingID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

participantID string

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20participant_id%20%3E%20(schema)>)

<details>

<summary>

body MeetingRefreshParticipantTokenParams

</summary>

AccountID param.Field\[string]

The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MeetingRefreshParticipantTokenResponse struct{…}

</summary>

<details>

<summary>

Data MeetingRefreshParticipantTokenResponseData

Data returned by the operation

</summary>

Token string

Regenerated participant’s authentication token.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingRefreshParticipantTokenResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20token">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingRefreshParticipantTokenResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success bool

Success status of the operation

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingRefreshParticipantTokenResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingRefreshParticipantTokenResponse%20%3E%20(schema)>)

### Refresh participant's authentication token

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.RefreshParticipantToken(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingRefreshParticipantTokenParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "token": "token"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "token": "token"
  },
  "success": true
}
```